<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
  </head>
  <body onload="onPageLoading()">
    <div class="container-fluid">
      <h1>OrderDetail</h1>
      <label for="">OrderCode(Mã đơn hàng):</label>
      <input id="inp-ordercode" type="text" class="form-control" />
      <label for="">cỡ Combo:</label>
      <select name="" id="select-kich-co" class="form-control mb-3">
        <option value="">Chọn cỡ combo</option>
        <option value="">S(Nhỏ)</option>
        <option value="">M(Vừa)</option>
        <option value="">L(Lớn)</option>
      </select>
      <label for="">Đường kính pizza:</label>
      <input id="inp-duong-kinh" type="text" class="form-control" />
      <label for="">sườn nướng(miếng):</label>
      <input id="inp-suon" type="text" class="form-control" />
      <label for="">Đồ uống:</label>
      <select name="" id="select-drink" class="form-control mb-3">
        <option value="">Chọn đồ uống</option>
      </select>

      <label for="">số lượng nước:</label>
      <input id="inp-so-luong-nuoc" type="text" class="form-control" />
      <label for="">Vourcher ID:</label>
      <input id="inp-id-vourcher" type="text" class="form-control" />
      <label for="">Loại Pizza:</label>
      <select name="" id="select-loai-pizza" class="form-control mb-3">
        <option value="">Pizza gà</option>
        <option value="">Pizza hải sản</option>
        <option value="">Pizza thịt nướng</option>
      </select>
      <label for="">Salad:</label>
      <input id="inp-salad" type="text" class="form-control" />
      <label for="">Thành tiền:</label>
      <input id="inp-thanh-tien" type="text" class="form-control" />
      <label for="">Giảm giá:</label>
      <input id="inp-giam-gia" type="text" class="form-control" />
      <label for="">Họ tên:</label>
      <input id="inp-ho-ten" type="text" class="form-control" />
      <label for="">Email:</label>
      <input id="inp-email" type="text" class="form-control" />
      <label for="">số điện thoại:</label>
      <input id="inp-so-dien-thoai" type="text" class="form-control" />
      <label for="">Địa chỉ:</label>
      <input id="inp-dia-chi" type="text" class="form-control" />
      <label for="">Lời nhắn:</label>
      <input id="inp-loi-nhan" type="text" class="form-control" />
      <label for="">Trạng thái đơn hàng:</label>
      <input id="inp-trang-thai" type="text" class="form-control" />
      <label for="">Ngày tạo:</label>
      <input id="inp-ngay-tao" type="text" class="form-control" />
      <label for="">Ngày cập nhật:</label>
      <input id="inp-ngay-cap-nhat" type="text" class="form-control" />
      <hr />
      <hr />
      <button class="btn btn-info" onclick="onbtnBack()">Trở lại</button>
      <hr />
      <hr />
      <hr />
    </div>
    <script>
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
      const gREQUEST_STATUS_OK = 200;
      const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
      const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
      const gBASE_URL_DRINK =
        "http://203.171.20.210:8080/devcamp-pizza365/drinks";
      var gOrderCode;
      var vLink = window.location.href;
      var vURL = new URL(vLink);
      gOrderCode = vURL.searchParams.get("ordercode");
      console.log(gOrderCode);

      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
      function onPageLoading() {
        loadNuocUong();
        var vXmlHttp = new XMLHttpRequest();
        goiApiDeLayOrderTheoOrderCode(vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            doDuLieuVaoInput(vXmlHttp);
            console.log(vXmlHttp.responseText);
          }
        };
      }
      function onbtnBack() {
        window.location.href = "task25.50.html";
      }
      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
      // ham goi api de lay order theo ordercode
      function goiApiDeLayOrderTheoOrderCode(paramXmlHttp) {
        console.log("r r r" + gOrderCode);
        paramXmlHttp.open("GET", gBASE_URL + "/" + gOrderCode, true);
        paramXmlHttp.send();
      }
      //   ham do du lieu vao input
      function doDuLieuVaoInput(paramXmlHttp) {
        var vOrderObj = JSON.parse(paramXmlHttp.responseText);
        var vInputOrderCode = document.getElementById("inp-ordercode");
        vInputOrderCode.value = vOrderObj.orderCode;

        var vInputDuongKinh = document.getElementById("inp-duong-kinh");
        vInputDuongKinh.value = vOrderObj.duongKinh;
        var vInputSuongNuong = document.getElementById("inp-suon");
        vInputSuongNuong.value = vOrderObj.suon;
        var vSelectKichCo = document.getElementById("select-kich-co");
        vSelectKichCo.options[vSelectKichCo.selectedIndex].text =
          vOrderObj.kichCo;
        var vSelectDrink = document.getElementById("select-drink");
        vSelectDrink.options[vSelectDrink.selectedIndex].text =
          vOrderObj.idLoaiNuocUong;
        var vSelectLoaiPizza = document.getElementById("select-loai-pizza");
        vSelectLoaiPizza.options[vSelectLoaiPizza.selectedIndex].text =
          vOrderObj.loaiPizza;

        var vInputSoLuongNuoc = document.getElementById("inp-so-luong-nuoc");
        vInputSoLuongNuoc.value = vOrderObj.soLuongNuoc;
        var vInputIdVourcher = document.getElementById("inp-id-vourcher");
        vInputIdVourcher.value = vOrderObj.idVourcher;
        var vInputsalad = document.getElementById("inp-salad");
        vInputsalad.value = vOrderObj.salad;
        var vInputThanhTien = document.getElementById("inp-thanh-tien");
        vInputThanhTien.value = vOrderObj.thanhTien;
        var vInputGiamGia = document.getElementById("inp-giam-gia");
        vInputGiamGia.value = vOrderObj.giamGia;
        var vInputHoTen = document.getElementById("inp-ho-ten");
        vInputHoTen.value = vOrderObj.hoTen;
        var vInputSoDienThoai = document.getElementById("inp-so-dien-thoai");
        vInputSoDienThoai.value = vOrderObj.soDienThoai;
        var vInputEmail = document.getElementById("inp-email");
        vInputEmail.value = vOrderObj.email;
        var vInputDiaChi = document.getElementById("inp-dia-chi");
        vInputDiaChi.value = vOrderObj.diaChi;
        var vInputLoiNhan = document.getElementById("inp-loi-nhan");
        vInputLoiNhan.value = vOrderObj.loiNhan;
        var vInputTrangThai = document.getElementById("inp-trang-thai");
        vInputTrangThai.value = vOrderObj.trangThai;
        var vInputNgayCapNhat = document.getElementById("inp-ngay-cap-nhat");
        vInputNgayCapNhat.value = vOrderObj.ngayCapNhat;
        var vInputNgayTao = document.getElementById("inp-ngay-tao");
        vInputNgayTao.value = vOrderObj.ngayTao;
      }
      // load nuoc uong
      function loadNuocUong() {
        var vXmlHttp = new XMLHttpRequest();
        goiApiDrink(vXmlHttp);
        vXmlHttp.onreadystatechange = function () {
          if (
            vXmlHttp.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK &&
            vXmlHttp.status == gREQUEST_STATUS_OK
          ) {
            hienThiThongTinNuocUong(vXmlHttp);
          }
        };
      }
      // goi api de lay thong tin nuoc uong
      function goiApiDrink(paramXmlHttp) {
        paramXmlHttp.open("GET", gBASE_URL_DRINK, true);
        paramXmlHttp.send();
      }
      function hienThiThongTinNuocUong(paramXmlHttp) {
        var vSelectDrink = document.getElementById("select-drink");

        var vDrinkObj = JSON.parse(paramXmlHttp.responseText);
        for (var bI = 0; bI < vDrinkObj.length; bI++) {
          var vOptionDrink = document.createElement("option");
          vOptionDrink.value = vDrinkObj[bI].maNuocUong;
          vOptionDrink.text = vDrinkObj[bI].tenNuocUong;
          vSelectDrink.appendChild(vOptionDrink);
        }
      }
    </script>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
